Page MenuHomePhabricator

Use Opaque location for handling deferred references to aliases internally to the parser (NFC)
ClosedPublic

Authored by mehdi_amini on Jan 11 2022, 10:09 PM.

Details

Summary

This will allow to return to the client of parseLocationInstance a location that is resolved later.

Diff Detail

Event Timeline

mehdi_amini created this revision.Jan 11 2022, 10:09 PM
mehdi_amini requested review of this revision.Jan 11 2022, 10:09 PM

Update to use OpaqueLoc instead of introduce a new location.

Replace the pointer in the OpaqueLoc with an index to the vector

mehdi_amini retitled this revision from Introduce a FwdAliasLoc location for handling forward references to aliases internally to the parser (WIP) to Use Opaque location for handling deferred references to aliases internally to the parser (NFC).Jan 14 2022, 5:01 PM
mehdi_amini edited the summary of this revision. (Show Details)
rriddle accepted this revision.Jan 18 2022, 10:16 AM

LG, thanks.

mlir/lib/Parser/Parser.cpp
483
484

Why not StringRef here? All of the strings are coming from the file buffer right?

565–568
570–573
This revision is now accepted and ready to land.Jan 18 2022, 10:16 AM
mehdi_amini marked 4 inline comments as done.

Address comments

This revision was landed with ongoing or failed builds.Jan 18 2022, 12:44 PM
This revision was automatically updated to reflect the committed changes.